## ide-git-vcs ide-git-vcs |

## Functions

#define | IDE_TYPE_GIT_VCS
GgitRepository * | ide_git_vcs_get_repository ()

## Properties

GgitRepository * | repository | Read

## Signals

void | reloaded | Run Last

## Types and Values

| IdeGitVcs

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeVcs
                ╰── IdeGitVcs

## Implemented Interfaces

IdeGitVcs implements GAsyncInitable.

## Description

## Functions

### IDE_TYPE_GIT_VCS

    #define IDE_TYPE_GIT_VCS (ide_git_vcs_get_type())

### ide_git_vcs_get_repository ()

    GgitRepository *
    ide_git_vcs_get_repository (IdeGitVcs *vcs);

Retrieves the underlying GgitRepository used by `vcs` .

#### Returns

A GgitRepository.

[transfer none]

## Types and Values

### IdeGitVcs

    typedef struct _IdeGitVcs IdeGitVcs;

## Property Details

### The `“repository”` property

      “repository”               GgitRepository *

This property contains the underlying GgitRepository that can be used to lookup git information. Consumers should be careful about using this directly. It is not thread-safe to use this object, nor is it safe to perform many blocking calls from the main thread.

You might want to get the “location” property and create your own instance of the repository for threaded operations.

Flags: Read

## Signal Details

### The `“reloaded”` signal

    void
    user_function (IdeGitVcs      *self,
                   GgitRepository *repository,
                   gpointer        user_data)

This signal is emitted when the git index has been reloaded. Various consumers may want to reload their git objects upon this notification. Such an example would be the line diffs that are rendered in the source view gutter.

The `repository` instance is to aide consumers in locating the repository and should not be used directly except in very specific situations. The gutter change renderer uses this instance in a threaded manner.

#### Parameters

self | An IdeGitVfs |
repository | A GgitRepository |
user_data | user data set when the signal handler was connected. |

Flags: Run Last